For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
            • GETList Transactions
              • POSTCapture Order Payment
              • POSTVoid
              • POSTCreate Refund Quote
              • GETList Refunds for Order
              • POSTCreate Refund
              • GETGet Refund
              • GETList Refunds
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrder OperationsPayment Actions

Get Refund

GET
https://api.bigcommerce.com/stores/:store_hash/v3/orders/payment_actions/refunds/:refund_id
GET
/stores/:store_hash/v3/orders/payment_actions/refunds/:refund_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Example
1{
2 "data": {
3 "id": 12,
4 "order_id": 180,
5 "user_id": 0,
6 "created": "2022-06-16T16:44:15+00:00",
7 "reason": "Customer requires a refund.",
8 "total_amount": 50,
9 "total_tax": 5,
10 "uses_merchant_override_values": false,
11 "payments": [
12 {
13 "id": 13,
14 "provider_id": "storecredit",
15 "amount": 50,
16 "offline": true,
17 "is_declined": false,
18 "declined_message": ""
19 }
20 ],
21 "items": [
22 {
23 "item_type": "PRODUCT",
24 "item_id": 87,
25 "quantity": 1,
26 "requested_amount": null
27 }
28 ]
29 },
30 "meta": {}
31}
Returns a refund by refund ID.
Was this page helpful?
Previous

Create Refund

Next

List Refunds

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

refund_idintegerRequired
Refund ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

dataobject
metaobject
Response metadata.